<%@page import="java.util.List"%>
<%@page import="mvc.Customer"%>
<%--  
<%@taglib prefix="c" uri="jstlCore" %>
<%@taglib prefix="fmt" uri="jstlI18n" %>
--%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<fmt:setLocale value="hu_RO"/>
<fmt:setBundle basename="resources.mvcResources"/>

<html>
<head>
	<title><fmt:message key="displayList.title"/></title>
</head>
<body>



<table cellspacing="3" cellpadding="3" border="1" width="500">
<tr>
	<td colspan="4"><b><fmt:message key="displayList.title"/></b></td>
</tr>
<tr>
	<td><b><fmt:message key="displayList.id"/></b></td>
	<td><b><fmt:message key="displayList.lastName"/></b></td>
	<td><b><fmt:message key="displayList.firstName"/></b></td>
	<td><b><fmt:message key="displayList.address"/></b></td>
</tr>

<c:forEach var="item" items="${requestScope.customers}">
<tr>
	<td>
		<a href="controller?action=displaycustomer&id=${item.id}">
			${item.id}
		</a>
	</td>
	<td>${item.lastName}</td>
	<td>${item.firstName}</td>
	<td>${item.address}</td>
</tr>
</c:forEach>
</table>

<br><br>
<fmt:message key="displayList.date"/>: 
<fmt:formatDate value="${date}" type="date" dateStyle="long"/>
<br>
<fmt:formatNumber value="${amount}" type="currency" />
</body>
</html>